Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.ui.dialogs
Class QuerySelectionDialog

    java.lang.Object
      Dialog
          org.eclipse.gmt.modisco.infra.query.ui.dialogs.QuerySelectionDialog

    public class QuerySelectionDialog

extends Dialog

A dialog to select a `ModelQuery`

Constructor Summary
`QuerySelectionDialog(Shell parentShell, boolean multiSelection, java.util.Collection<ModelQuerySet> querySets, ViewerFilter viewerFilter)`

Method Summary
`static void` | `changeInput(FilteredTree tree, java.util.Collection<ModelQuerySet> availableQuerySets)` Changes the input of the given FilteredTree, created by `createFilteredTree(Composite, Collection, ViewerFilter, boolean)`
`static FilteredTree` | `createFilteredTree(Composite parent, java.util.Collection<ModelQuerySet> availableQuerySets, ViewerFilter viewerFilter, boolean multiSelection)` Create a tree with a filter text field to select queries.
`java.util.List<ModelQuery>` | `getSelectedQueries()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuerySelectionDialog

    public QuerySelectionDialog(Shell parentShell,
                                boolean multiSelection,
                                java.util.Collection<ModelQuerySet> querySets,
                                ViewerFilter viewerFilter)

Parameters:
  `parentShell` - the parent shell
  `querySets` - the query sets from which queries will be selectable. If `null`, all query sets will be displayed.
  `viewerFilter` - an optional filter for selectable queries (can be `null` if no filtering is required)

Method Detail

### getSelectedQueries

    public java.util.List<ModelQuery> getSelectedQueries()

### createFilteredTree

    public static FilteredTree createFilteredTree(Composite parent,
                                                  java.util.Collection<ModelQuerySet> availableQuerySets,
                                                  ViewerFilter viewerFilter,
                                                  boolean multiSelection)

  Create a tree with a filter text field to select queries.

  Parameters:
    `parent` - the parent composite
    `availableQuerySets` - the query sets from which queries are selected. `null` means all.
    `viewerFilter` - a filter on the displayed queries. Can be `null`.
  Returns:
    a filtered tree control

### changeInput

    public static void changeInput(FilteredTree tree,
                                   java.util.Collection<ModelQuerySet> availableQuerySets)

  Changes the input of the given FilteredTree, created by `createFilteredTree(Composite, Collection, ViewerFilter, boolean)`

  Parameters:
    `tree` - the filtered tree control
    `availableQuerySets` - the query sets to set as input. `null` means all.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD